Description

Χἀιρε Luke,

I really appreciate your amazing work here making the originals of such important and interesting texts available to everyone easily.

The one thing I would like to see changed is the addition of a certain text - the Meditations of Marcus Aurelius, the original text is

called M. Antonius Imperator Ad Se Ipsum. It's on the Perseus library here:  

http://www.perseus.tufts.edu/hopper/text?doc=Perseus%3atext%3a2008.01.0641 and I would really like to be able to read it on my

kindle.

Thanks so much!

History

#1 - 04/09/2016 07:24 AM - Luke Murphey

- Target version set to 1.5

#2 - 04/11/2016 05:03 AM - Luke Murphey

- Status changed from New to In Progress

#3 - 04/11/2016 05:04 AM - Luke Murphey

This text doesn't appear to be in the Greek and Roman materials collection. I downloaded it directly (Perseus_text_2008.01.0641.xml).

#4 - 04/11/2016 05:08 AM - Luke Murphey

I don't like how this imported. It turns out that Perseus imports it the same way. Each "chapter" is actually a verse.

#5 - 04/11/2016 05:08 AM - Luke Murphey

See https://archive.org/details/mantoninusimpera00marcuoft for how this should be rendered.

#6 - 04/11/2016 05:28 AM - Luke Murphey

Here is what I want:

The imported needs to ignore existing verse markers and instead use the "chapter" markers as the verse indicators.

This is how I could do this:

import_body_sub_node: don't import chapter markers

make_verses: import chapters as verses

#7 - 04/11/2016 03:26 PM - Luke Murphey

There appears to be extraneous verse markers in book 4 after chapter 4.

05/05/2024 1/2

http://www.perseus.tufts.edu/hopper/text?doc=Perseus%3atext%3a2008.01.0641
https://archive.org/details/mantoninusimpera00marcuoft


#8 - 04/11/2016 05:43 PM - Luke Murphey

The way this would be best represented would be with both chapter and verse indicators on the same page. It might make sense to ignore the verse

indicators altogether when chunking and just render the verse indicators on the front-end.

#9 - 04/12/2016 05:37 AM - Luke Murphey

Got this working now and rendered much better than the way Perseus renders it.

#10 - 04/12/2016 05:38 AM - Luke Murphey

- Assignee set to Luke Murphey

- % Done changed from 0 to 90

#11 - 04/14/2016 05:50 PM - Luke Murphey

- File Perseus_text_2008.01.0641.xml added

I edited the Perseus XML document to make it render better. See attached.

#12 - 05/09/2016 11:03 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Files

Perseus_text_2008.01.0641.xml 279 KB 04/14/2016 Luke Murphey
